#include <bits/stdc++.h>
using namespace std;




int main()
{
ios_base::sync_with_stdio(false);
cin.tie(NULL);	
	int h, n;
	std::cin>>h>>n;

	int maxsetovi = h/n;

	if (maxsetovi<3 || (h==7 && n==2))
	{
		std::cout<<-1;
		return 0;
	}
	else
	{
		std::cout<<n<<' '<<0<<std::endl;
		h=h-n;

		int ost=h-n;
		if (ost%2==1 && ost>(2*n-3))
		{
			std::cout<<n<<' '<<1<<std::endl;
			h=h-n+1;
		}
		else
		{
			std::cout<<n<<' '<<0<<std::endl;
			h=h-n;
		}

		if (h>(2*n-2))
		{
			int pola=h/2;
			std::cout<<pola+1<<' '<<pola-1<<std::endl;
		}
		else
		{
			int prvi=n;
			int drugi=h-n;
			std::cout<<prvi<<' '<<drugi<<std::endl;
		}

	}
	return 0;
}